<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@101A=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@3B1C=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@34D0=99</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pw@1245=0103</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x01">Normal Weapon</item>
      <item value="0x02">Long Laser</item>
      <item value="0x03">Short Laser</item>
      <item value="0x04">Rapid Cannon</item>
      <item value="0x0A">Spread Cannon</item>
      <item value="0x14">Fireball</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1215=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pw@1305=0103</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x01">Normal Weapon</item>
      <item value="0x02">Long Laser</item>
      <item value="0x03">Short Laser</item>
      <item value="0x04">Rapid Cannon</item>
      <item value="0x0A">Spread Cannon</item>
      <item value="0x14">Fireball</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@12D5=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>[PL1 Start]Next Code</comment>
    <script state="run">
      <action>maincpu.pb@1809=F0</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="77" step="1"/>
    <script state="change">
      <action>maincpu.pb@11B0=param</action>
      <action>maincpu.pw@1010=11B1</action>
      <action>maincpu.pw@1012=11B0</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
